Update an order consumer (legacy)
Important
A newer version of this REST API (v2.1) is available. If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, read about the differences between v2 and v2.1 so you can upgrade.
POST /v2/orderConsumers/<orderConsumerRef>
Updates an order consumer.
| Attribute | Type | Description | Example |
|---|---|---|---|
orderConsumerRef | string | The reference of the consumer on the order. If you do not know the order consumer reference, first retrieve order consumer references for an order. | f8d1f0d5-365d-46b7-becf-d041e93a5705 |
At a minimum, you must provide the following required attributes in the request body:
| Attribute | Type | Description | Example |
|---|---|---|---|
firstName | string (title case recommended) | The first name of the order consumer. | "John" |
lastName | string (title case recommended) | The last name of the order consumer. | "Doe" |
If you have suggestions for improving this article, let us know!